import numpy as np
import matplotlib.pyplot as plt

cB1 = 84.2 # [=] mM
cB2 = 29.4 # [=] mM
pK1 = 6.03
pK2 = 7.57

pH = np.linspace(0,14,100)

beta = [np.log(10)*(pow(10,-p) + pow(10,pK1-p)*cB1/pow(1+pow(10,pK1-p),2) + pow(10,pK2-p)*cB2/pow(1+pow(10,pK2-p),2)) for p in pH]

plt.figure()
plt.plot(pH, beta)
plt.show()